[21.04 FEAT] NVMe stand-alone dump support - s390-tools part

Bug #1892824 reported by bugproxy
12
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Ubuntu on IBM z Systems
Fix Released
High
Skipper Bug Screeners
s390-tools (Ubuntu)
Fix Released
Undecided
Canonical Foundations Team

Bug Description

Once the system can IPL from an NVMe device it makes sense to support stand-alone dump to the NVMe device as well.
The support is likely to be similar to the SCSI stand-alone dumper, the first few mega-bytes need to be saved into the HSA and a specialized dump kernel for NVMe is loaded.

This feature is for the s390-tools part.

Package level s390-tools >=2.15. Once git-commits available, info will take place

bugproxy (bugproxy)
tags: added: architecture-s39064 bugnameltc-186569 severity-high targetmilestone-inin2010
Changed in ubuntu:
assignee: nobody → Skipper Bug Screeners (skipper-screen-team)
affects: ubuntu → linux (Ubuntu)
Frank Heimes (fheimes)
affects: linux (Ubuntu) → s390-tools (Ubuntu)
Changed in ubuntu-z-systems:
assignee: nobody → Skipper Bug Screeners (skipper-screen-team)
status: New → Incomplete
Changed in s390-tools (Ubuntu):
status: New → Incomplete
Changed in ubuntu-z-systems:
importance: Undecided → High
Changed in s390-tools (Ubuntu):
assignee: Skipper Bug Screeners (skipper-screen-team) → Canonical Foundations Team (canonical-foundations)
summary: - [20.10 FEAT] NVMe stand-alone dump support - s390-tools part
+ [21.04 FEAT] NVMe stand-alone dump support - s390-tools part
Revision history for this message
bugproxy (bugproxy) wrote : Comment bridged from LTC Bugzilla

------- Comment From <email address hidden> 2020-09-08 05:49 EDT-------
Feature request moved to 21.04, will not make it in time for 20.10

tags: added: targetmilestone-inin2104
removed: targetmilestone-inin2010
Frank Heimes (fheimes)
Changed in ubuntu-z-systems:
status: Incomplete → Triaged
Changed in s390-tools (Ubuntu):
status: Incomplete → New
information type: Private → Public
Changed in s390-tools (Ubuntu):
status: New → In Progress
Frank Heimes (fheimes)
Changed in ubuntu-z-systems:
status: Triaged → In Progress
Changed in s390-tools (Ubuntu):
status: In Progress → Fix Committed
Frank Heimes (fheimes)
Changed in ubuntu-z-systems:
status: In Progress → Fix Committed
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package s390-tools - 2.15.1-0ubuntu2

---------------
s390-tools (2.15.1-0ubuntu2) hirsute; urgency=medium

  * Package libekmfweb library.
  * Do not use /usr/lib64 prefix.

s390-tools (2.15.1-0ubuntu1) hirsute; urgency=medium

  * New upstream release. LP: #1902865, LP: #1902047, LP: #1892824, LP: #1887920, LP: #1887806
  * Drop .triggers, and initramfs override. Triggers to update initramfs
    are desired in both packages that ship hooks.

s390-tools (2.14.0-2ubuntu1) hirsute; urgency=medium

  * Merge from Debian unstable (LP: #1903688). Remaining changes:
    - lower priority to optional
    - add libsnmp-dev, libglib2.0-dev build-deps
    - add support for signed zipl
    - use z Systems branding in descriptions
    - package cpuplugd, osasnmpd, statd, zkey
    - drop ziomon package, shipped in the main package
    - ship zdev in udeb
    - update copyright file
    - fix kernel installer script integration, to skip calling zipl without initrd
    - load monwriter kernel module for mon_statd/mon_fsstatd
    - do not run dumpconf in lxc
    - ziomon change exit code to 0 for version and help
    - add zkey initramfs hook
    - change zkey default back to argon2i
    - drop patch that disables building osasnmpd
    - drop udevadm-path.patch to init script, systemd units are used instead
    - enable hardening
    - enable initramfs & dracut integration
    - setup users/groups for mon_*, iucvterm, zkey
    - install more utilities and zdev initramfs integration
    - setup crashkernel integration
  * Update debian/not-installed file for additional files in debian/tmp
  * debian/rules:
    - drop unneeded "--parallel --with systemd" dh args
    - clean zipl/boot/.stage*.d files
    - avoid dh_installinitramfs to install additional triggers
  * s390-tools.docs: ship CHANGELOG.md (as Debian does)

 -- Dimitri John Ledkov <email address hidden> Wed, 18 Nov 2020 14:23:24 +0000

Changed in s390-tools (Ubuntu):
status: Fix Committed → Fix Released
Changed in ubuntu-z-systems:
status: Fix Committed → Fix Released
Revision history for this message
bugproxy (bugproxy) wrote :

------- Comment From <email address hidden> 2020-12-09 08:56 EDT-------
IBM Bugzilla status->closed, Fix Released with hirsuite

Revision history for this message
bugproxy (bugproxy) wrote :

------- Comment From <email address hidden> 2021-02-23 06:13 EDT-------
Due to the fact, that the package version is invalid.
This feature will be moved to 21.10 by another ticket.
Please drop that from Release Notes of 21.04.

Revision history for this message
Brian Murray (brian-murray) wrote :

I don't specifically see anything relating to this bug report in the release notes for Ubuntu 21.04. Is there something I'm missing?

https://discourse.ubuntu.com/t/groovy-gorilla-release-notes/15533

Revision history for this message
Frank Heimes (fheimes) wrote :

Hi Brian, that was a message to me and the upcoming summary on the new features I usually do.
When it comes close to a new release, I run though all 'ubuntu-z-systems' features ("[FEAT]") for that particular release and add a summary about the s390x specific features to the release notes.
This just means I should skip this ticket for the Hirsute / 21.04 release notes (that do not yet exist anyway).

To post a comment you must log in.
This report contains Public information  
Everyone can see this information.

Other bug subscribers